<?php get_header(); ?>

<main>
  <?php if(get_field('mv_pt')=='pt01'):?>
  <section class="l-mv__area">
    <div class="u-wrap l-mv__ttl-area">
      <h1 class="l-mv__ttl poppins"><?php echo get_field('corp02_top_mv_catch_en'); ?></h1>
      <p class="l-mv__ttl-sub"><?php echo get_field('corp02_top_mv_catch_jp'); ?></p>
    </div>
    <?php
        $latest_news_query = new WP_Query(array(
          'post_type' => 'news',
          'posts_per_page' => 1
        ));
        if ($latest_news_query->have_posts()) :
    ?>
    <div class="l-mv__news-wrap u-wrap__big">
          <?php
          while ($latest_news_query->have_posts()) : $latest_news_query->the_post();
            $terms = get_the_terms(get_the_ID(), 'news-category');
            $category_name = $terms && !is_wp_error($terms) ? $terms[0]->name : '未分類';
          ?>
          <div class="l-mv__news u-flex">
            <p class="l-mv__news-new">新着情報</p>
            <p class="l-mv__news-cate"><?php echo $category_name; ?>｜</p>
            <p class="l-mv__news-date poppins"><?php echo get_the_date('Y/m/d'); ?></p>
            <p class="l-mv__news-text"><?php the_title(); ?></p>
          </div>
          <?php
          endwhile;
          ?>
    </div>
        <?php
        endif;
        wp_reset_postdata();
        ?>

    <div class="l-mv__area-img u-pc u-wrap__big">
      <img src="<?php echo get_field('corp02_top_mv_img_pc'); ?>" alt="<?php echo get_field('corp02_top_mv_img_text'); ?>">
    </div>
    <div class="l-mv__area-img u-sp">
      <img src="<?php echo get_field('corp02_top_mv_img_sp'); ?>" alt="<?php echo get_field('corp02_top_mv_img_text'); ?>">
    </div>
  </section>
  <?php elseif(get_field('mv_pt')=='pt02'):?>
    <section class="l-mv__area02">
      <div class="l-mv__area-img02 u-pc">
        <img src="<?php echo get_field('corp02_top_mv_img_pc'); ?>" alt="<?php echo get_field('corp02_top_mv_img_text'); ?>">
      </div>
      <div class="l-mv__area-img02 u-sp">
        <img src="<?php echo get_field('corp02_top_mv_img_sp'); ?>" alt="<?php echo get_field('corp02_top_mv_img_text'); ?>">
      </div>
      <div class="l-mv__ttl-area02 u-wrap__big">
        <h1 class="l-mv__ttl02 poppins"><?php echo get_field('corp02_top_mv_catch_en'); ?></h1>
        <p class="l-mv__ttl-sub02"><?php echo get_field('corp02_top_mv_catch_jp'); ?></p>
      </div>
  </section>
  <?php
        $latest_news_query = new WP_Query(array(
          'post_type' => 'news',
          'posts_per_page' => 1
        ));
        if ($latest_news_query->have_posts()) :
    ?>
    <div class="l-mv__news-wrap02">
          <?php
          while ($latest_news_query->have_posts()) : $latest_news_query->the_post();
            $terms = get_the_terms(get_the_ID(), 'news-category');
            $category_name = $terms && !is_wp_error($terms) ? $terms[0]->name : '未分類';
          ?>
          <div class="l-mv__news u-flex">
            <p class="l-mv__news-new">新着情報</p>
            <p class="l-mv__news-cate"><?php echo $category_name; ?>｜</p>
            <p class="l-mv__news-date poppins"><?php echo get_the_date('Y/m/d'); ?></p>
            <p class="l-mv__news-text"><?php the_title(); ?></p>
          </div>
          <?php
          endwhile;
          ?>
    </div>
        <?php
        endif;
        wp_reset_postdata();
        ?>
  <?php endif;?>

  <?php if( get_field('corp02_top_section01_ttl_en') ): ?>
  <section id="about" class="c-container p-top__about-section u-wrap u-flex">
    <div class="c-ttl__area">
      <h2 class="c-ttl"><?php echo get_field('corp02_top_section01_ttl_en'); ?></h2>
      <p class="c-ttl__sub"><?php echo get_field('corp02_top_section01_ttl_jp'); ?></p>
    </div>
    <div class="p-top__contents">
      <p class="p-top__heading"><?php echo get_field('corp02_top_section01_catch'); ?></p>
      <?php if( get_field('corp02_top_section01_text') ): ?>
        <p class="c-text">
          <?php echo get_field('corp02_top_section01_text'); ?>
        </p>
      <?php endif; ?>
      <?php if( get_field('corp02_top_section01_text_under') ): ?>
        <p class="c-text">
          <?php echo get_field('corp02_top_section01_text_under'); ?>
        </p>
      <?php endif; ?>
      <?php
      $btn_text = get_field('corp02_top_section01_btn_text');
      $btn_link = get_field('corp02_top_section01_btn_link');
      if ($btn_text && $btn_link):
      ?>
      <p class="c-btn">
        <a href="<?php echo esc_url($btn_link); ?>" class="c-btn__link"><?php echo esc_html($btn_text); ?></a>
      </p>
      <?php endif; ?>
    </div>
  </section>
  <?php endif; ?>

  <?php if(get_field('corp02_top_section02_onoff')=='on'):?>
  <?php if( get_field('corp02_top_section02_gallery') ): ?>
  <section class="c-container p-top__event-section">
  <?php if(get_field('corp02_top_section02_gallery_sheets')=='sover'):?>
    <div class="splide first" id="gallerySplide" aria-labelledby="gallery-carousel-heading">
      <div class="splide__track">
        <ul class="splide__list">
          <?php
            $fields = get_field('corp02_top_section02_gallery');
            foreach ($fields as $field) :
          ?>
          <li class="splide__slide">
            <img src="<?php echo $field['corp02_top_section02_gallery_img']; ?>" alt="<?php echo $field['corp02_top_section02_gallery_img_text']; ?>">
          </li>
          <?php endforeach; ?>
        </ul>
      </div>
    </div><!--splide-->
    <?php else:?>
      <div class="">
        <img src="<?php echo get_field('corp02_top_section02_gallery01');?>" alt="イメージ">
      </div>
    <?php endif;?>
    <?php if(get_field('corp02_top_section02_box_onoff')=='on'):?>
      <?php if( get_field('corp02_top_section02_event_img') ): ?>
      <div class="p-top__event-section-container u-flex">
        <?php if(get_field('corp02_top_section02_event_url')): ?>
        <a href="<?php echo get_field('corp02_top_section02_event_url'); ?>">
        <?php endif; ?>
          <figure  class="p-top__event-section-contents-img">
            <img src="<?php echo get_field('corp02_top_section02_event_img'); ?>" alt="<?php echo get_field('corp02_top_section02_event_img_text'); ?>">
            <?php if(get_field('corp02_top_section02_event_url')): ?>
            <span class="p-top__event-section-contents-img-arrow arrow-icon"><i class="fa-solid fa-arrow-right"></i></span>
            <?php endif; ?>
          </figure>
          <?php if(get_field('corp02_top_section02_event_url')): ?>
          </a>
        <?php endif; ?>
        <div class="p-top__event-section-contents">
          <p class="p-top__event-section-contents-ttl"><?php echo get_field('corp02_top_section02_event_ttl'); ?></p>
          <ul class="p-top__event-section-contents-list u-flex">
            <?php
              $fields = get_field('corp02_top_section02_event_group');
              foreach ($fields as $field) :
            ?>
            <li class="p-top__event-section-contents-list-item u-flex">
              <p class="p-top__event-section-contents-list-item-heading"><?php echo $field['corp02_top_section02_event_group_ttl']; ?></p>
              <p class="p-top__event-section-contents-list-item-text"><?php echo $field['corp02_top_section02_event_group_text']; ?></p>
            </li>
            <?php endforeach; ?>
          </ul>
        </div>
      </div>
      <?php endif; ?>
    <?php endif; ?>
  </section>
  <?php endif; ?>
  <?php endif; ?>

  <?php if(get_field('corp02_top_section03_onoff')=='on'):?>
  <section id="strength" class="c-container p-top__strength-section u-wrap">
    <div class="c-ttl__area">
      <h2 class="c-ttl"><?php echo get_field('corp02_top_section03_ttl_en'); ?></h2>
      <p class="c-ttl__sub"><?php echo get_field('corp02_top_section03_ttl_jp'); ?></p>
    </div>

    <div class="p-top__strength-wrap">
    <?php
        $fields = get_field('corp02_top_section03_group');
        $index = 0;
        foreach ($fields as $field) :
          if ($index % 2 == 0) : ?>
            <div class="p-top__strength-box u-flex">
              <figure class="p-top__strength-box-img">
                <img src="<?php echo $field['corp02_top_section03_group_img']; ?>" alt="<?php echo $field['corp02_top_section03_group_img_text']; ?>">
              </figure>
              <div class="p-top__strength-box-contents">
                <?php if (!empty($field['corp02_top_section03_group_text_en'])) : ?>
                <p class="p-top__strength-box-ttl-en u-poppins"><?php echo $field['corp02_top_section03_group_text_en']; ?></p>
                <?php endif; ?>
                <?php if (!empty($field['corp02_top_section03_group_ttl'])) : ?>
                <h3 class="p-top__strength-box-ttl"><?php echo $field['corp02_top_section03_group_ttl']; ?></h3>
                <?php endif; ?>
                <p class="c-text">
                  <?php echo $field['corp02_top_section03_group_text']; ?>
                </p>
                <?php if (!empty($field['corp02_top_section03_group_btn_link'])) : ?>
                <p class="c-btn">
                  <a href="<?php echo $field['corp02_top_section03_group_btn_link']; ?>" class="c-btn__link"><?php echo $field['corp02_top_section03_group_btn_text']; ?></a>
                </p>
                <?php endif; ?>
              </div>
            </div>
          <?php else : ?>
            <div class="p-top__strength-box u-flex">
            <figure class="p-top__strength-box-img u-sp">
                <img src="<?php echo $field['corp02_top_section03_group_img']; ?>" alt="<?php echo $field['corp02_top_section03_group_img_text']; ?>">
              </figure>
              <div class="p-top__strength-box-contents">
                <?php if (!empty($field['corp02_top_section03_group_text_en'])) : ?>
                <p class="p-top__strength-box-ttl-en u-poppins"><?php echo $field['corp02_top_section03_group_text_en']; ?></p>
                <?php endif; ?>
                <?php if (!empty($field['corp02_top_section03_group_ttl'])) : ?>
                <h3 class="p-top__strength-box-ttl"><?php echo $field['corp02_top_section03_group_ttl']; ?></h3>
                <?php endif; ?>
                <p class="c-text">
                  <?php echo $field['corp02_top_section03_group_text']; ?>
                </p>
                <?php if (!empty($field['corp02_top_section03_group_btn_link'])) : ?>
                <p class="c-btn">
                  <a href="<?php echo $field['corp02_top_section03_group_btn_link']; ?>" class="c-btn__link"><?php echo $field['corp02_top_section03_group_btn_text']; ?></a>
                </p>
                <?php endif; ?>
              </div>
              <figure class="p-top__strength-box-img u-pc">
                <img src="<?php echo $field['corp02_top_section03_group_img']; ?>" alt="<?php echo $field['corp02_top_section03_group_img_text']; ?>">
              </figure>
            </div>
          <?php endif;
          $index++;
        endforeach; ?>
        </div>
  </section>
  <?php endif; ?>

  <?php if(get_field('corp02_top_yoko_onoff')=='on'):?>
    <section id="yoko" class="c-container p-top__yoko-section">
      <div class="u-wrap">
        <div class="c-ttl__area">
          <h2 class="c-ttl"><?php echo get_field('corp02_top_yoko_ttl_en'); ?></h2>
          <p class="c-ttl__sub"><?php echo get_field('corp02_top_yoko_ttl_jp'); ?></p>
        </div>
        <div class="p-top__yoko-wrap u-flex">
            <?php if( have_rows('corp02_top_yoko_contents') ): ?>
              <?php  $yokoi = 0;
              while( have_rows('corp02_top_yoko_contents') ): the_row(); 
                $image = get_sub_field('image');
                $title = get_sub_field('title');
               
              ?>
              <div class="p-top__yoko-boxwrap">
                <div class="p-top__yoko-box">
                  <?php if(get_sub_field('corp02_top_yoko_contents_img')): ?>
                  <img src="<?php the_sub_field('corp02_top_yoko_contents_img'); ?>" alt="<?php the_sub_field('corp02_top_yoko_contents_title'); ?>画像">
                  <?php endif; ?>
                </div>
                <div class="p-top__yoko-contents">
                    <p class="p-top__yoko-contents-title"><?php the_sub_field('corp02_top_yoko_contents_ttl'); ?></p>
                    <p class="p-top__yoko-contents-text"><?php the_sub_field('corp02_top_yoko_contents_text'); ?></p>
                  </div>
              </div>
              <?php $yokoi++;endwhile; ?>
            <?php endif; ?>
        </div>
        <?php
        $btn_text2 = get_field('corp02_top_yoko_btn_text');
        $btn_link2 = get_field('corp02_top_yoko_btn_link');
        if ($btn_text2 && $btn_link2):
        ?>
        <p class="c-btn__sub">
          <a href="<?php echo home_url('/member/'); ?>" class="c-btn__sub-link">一覧を見る</a>
        </p>
        <?php endif; ?>
      </div>
    </section>
  <?php endif; ?>
  <style>
    .p-top__yoko-boxwrap{
      width: calc((100% - 64px) / <?php echo $yokoi;?>);
    }
    .p-top__yoko-wrap{
      gap: 48px 2%;
    }
    @media screen and (max-width: 768px){
      .p-top__member-box{
        max-width:100%;
      } 
    }
  </style>


<?php if(get_field('corp02_top_member_onoff')=='on'):?>
  <?php
  // カスタム投稿タイプ 'member' から投稿を取得
  $args = array(
    'post_type' => 'member',
    'posts_per_page' => 3, // 3つの投稿まで取得
  );
  $member_query = new WP_Query($args);

  // 投稿がある場合のみセクションを表示
  if ($member_query->have_posts()) : ?>
    <section id="member" class="c-container p-top__member-section">
      <div class="u-wrap">
        <div class="c-ttl__area">
          <h2 class="c-ttl"><?php echo get_field('corp02_top_member_ttl_en'); ?></h2>
          <p class="c-ttl__sub"><?php echo get_field('corp02_top_member_ttl_jp'); ?></p>
        </div>
        <div class="p-top__member-wrap u-flex">
          <?php 
          $onoff = get_field('corp02_top_member_detail_onoff');
          $memberi = 0;
          while ($member_query->have_posts()) : $member_query->the_post();
            $image_url = get_field('corp02_member_img'); // ACFで設定された画像URLを取得
            $name_en = get_field('corp02_member_kana'); // 英語名
            $name_jp = get_field('corp02_member_name'); // 日本語名
            $position = get_field('corp02_member_position'); // 役職
          ?>
          <?php if($onoff == 'on'): ?>
            <a href="<?php the_permalink(); ?>" class="p-top__member-box">
            <?php else: ?>
              <div class="p-top__member-box">
            <?php endif; ?>
              <img src="<?php echo esc_url($image_url); ?>" alt="<?php echo esc_html($name_jp); ?>画像">
              <div class="p-top__member-contents">
                <p class="p-top__member-contents-en u-poppins"><?php echo esc_html($name_en); ?></p>
                <p class="p-top__member-contents-name"><?php echo esc_html($name_jp); ?></p>
                <p class="p-top__member-contents-position"><?php echo esc_html($position); ?></p>
              </div>
              <?php if($onoff == 'on'): ?>
              <div class="p-top__member-arrow arrow-icon">
                <i class="fa-solid fa-arrow-right"></i>
              </div>
              <?php endif; ?>
              <?php if($onoff == 'on'): ?>
            </a>
            <?php else: ?>
            </div>
            <?php endif; ?>
          <?php $memberi++;endwhile;
          wp_reset_postdata(); ?>
          
        </div>
        <?php if(get_field('corp02_top_member_archive_onoff')=='on'):?>
        <p class="c-btn__sub">
          <a href="<?php echo get_field('corp02_top_member_btnurl');?>" class="c-btn__sub-link"><?php echo get_field('corp02_top_member_btntext');?></a>
        </p>
        <?php endif; ?>
      </div>
    </section>
    
<style>
  .p-top__member-box{
      width: calc((100% - 64px) / <?php echo $memberi;?>);
      max-width:50%;
    }
    .p-top__member-wrap {
      gap: 48px 2%;
    }
    @media screen and (max-width: 768px){
      .p-top__member-box{
        max-width:100%;
      } 
    }
</style>
  <?php endif; // クエリのリセット
  ?>
  <?php endif; ?>
<?php if(get_field('corp02_top_casestudy_onoff')=='on'):?>
<?php
  // Check if the device is mobile
  if (wp_is_mobile()) {
    $posts_per_page = 3; // Number of posts for SP
  } else {
    $posts_per_page = 6; // Number of posts for PC
  }

  $case_query = new WP_Query(array(
    'post_type' => 'case-study',
    'posts_per_page' => $posts_per_page
  ));
  if ($case_query->have_posts()) : ?>
    <section id="case" class="c-container p-top__case-section u-wrap">
      <div class="c-ttl__area">
        <h2 class="c-ttl">Case study</h2>
        <p class="c-ttl__sub">実績紹介</p>
      </div>
      <div class="splide second" id="caseSplide" aria-labelledby="case-carousel-heading">
        <div class="splide__track">
          <ul class="splide__list">
            <?php
            $post_count = $case_query->post_count;
            $empty_slides = 3 - $post_count; // Calculate the number of empty slides needed
            while ($case_query->have_posts()) : $case_query->the_post();
              $terms = get_the_terms(get_the_ID(), 'case-category');
              $category_name = $terms && !is_wp_error($terms) ? $terms[0]->name : '未分類';
            ?>
              <li class="splide__slide">
                <a href="<?php the_permalink(); ?>" class="p-top__case-box">
                  <div class="p-top__case-box-img">
                    <?php if (has_post_thumbnail()) : ?>
                      <img src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title(); ?>">
                    <?php endif; ?>
                    <span class="p-top__case-box-arrow arrow-icon">
                    <i class="fa-solid fa-arrow-right"></i>
                    </span>
                  </div>
                  <div class="p-top__case-box-contents">
                    <h3 class="p-top__case-box-ttl"><?php the_title(); ?></h3>
                    <p class="p-top__case-box-cate"><?php echo $category_name; ?>｜<?php echo get_the_date('Y/m/d'); ?></p>
                  </div>
                </a>
              </li>
            <?php endwhile; ?>
            <?php for ($i = 0; $i < $empty_slides; $i++) : ?>
              <li class="splide__slide">
                <div class="p-top__case-box">
                  <!-- Empty slide -->
                </div>
              </li>
            <?php endfor; ?>
          </ul>
        </div>
      </div><!--splide-->

      <p class="c-btn__sub">
        <a href="<?php echo home_url( '/case-study/' ); ?>" class="c-btn__sub-link">一覧を見る</a>
      </p>
    </section>
  <?php endif;
  wp_reset_postdata(); ?>
  <?php endif; ?>

  <?php if(get_field('corp02_top_voice_onoff')=='on'):?>
    <?php
  $posts_per_page = 3;
  $voice_query = new WP_Query(array(
    'post_type' => 'voice',
    'posts_per_page' => $posts_per_page
  ));
  if ($voice_query->have_posts()) : ?>
    <section id="voice" class="c-container p-top__voice-section">
      <div class="c-ttl__area u-wrap">
        <h2 class="c-ttl"><?php echo get_field('corp02_top_voice_ttl_en'); ?></h2>
        <p class="c-ttl__sub"><?php echo get_field('corp02_top_voice_ttl_jp'); ?></p>
      </div>
      <div class="p-top__blog-wrap u-wrap">
        <?php
          while ($voice_query->have_posts()) : $voice_query->the_post();
        ?>
          <div class="p-top__voice-box u-flex">
            <div class="p-top__voice-section-wrap u-flex">
              <figure class="p-top__voice-section-img">
                <img src="<?php echo get_field('corp02_voice_img');?>" alt=""><p></p>
              </figure>
              <div class="baloon">
                <p>
                  <span class="p-top__voice-section-img-text"><?php echo get_field('corp02_voice_ttl');?></span>
                  <?php echo get_field('corp02_voice_text');?></p>
              </div>
            </div>
          </div>
        <?php
          endwhile;
        ?>
      </div>
      <?php if(get_field('corp02_top_voice_archive_onoff')=='on'):?>
        <p class="c-btn__sub">
          <a href="<?php echo get_field('corp02_top_voice_btnurl');?>" class="c-btn__sub-link"><?php echo get_field('corp02_top_voice_btntext');?></a>
        </p>
        <?php endif; ?>
    </section>
  <?php endif; ?>
  <?php endif; ?>
  <?php if(get_field('corp02_top_blog_onoff')=='on'):?>
  <?php
    $blog_query = new WP_Query(array(
      'post_type' => 'blog',
      'posts_per_page' => 3
    ));
    if ($blog_query->have_posts()) :
  ?>
  <section id="blog" class="c-container p-top__blog-section">
    <div class="c-ttl__area u-wrap">
      <h2 class="c-ttl">Blog</h2>
      <p class="c-ttl__sub">ブログ / トピックス</p>
    </div>
    <div class="p-top__blog-wrap u-wrap">
      <?php
        while ($blog_query->have_posts()) : $blog_query->the_post();
          $terms = get_the_terms(get_the_ID(), 'blog-category');
          $category_name = $terms && !is_wp_error($terms) ? $terms[0]->name : '未分類';
      ?>
        <div class="p-top__blog-box u-flex">
          <figure class="p-top__blog-box-img">
            <?php if (has_post_thumbnail()) : ?>
              <img src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title(); ?>">
            <?php endif; ?>
          </figure>
          <div class="p-top__blog-contents">
            <p class="p-top__case-box-cate"><?php echo $category_name; ?>｜<?php echo get_the_date('Y/m/d'); ?></p>
            <h3 class="p-top__blog-content-ttl"><?php the_title(); ?></h3>
            <p class="c-text">
              <?php echo wp_trim_words(get_the_content(), 65, '...'); ?>
            </p>
            <p class="c-btn__sub">
              <a href="<?php the_permalink(); ?>" class="c-btn__sub-link">詳しくはこちら</a>
            </p>
          </div>
        </div>
      <?php
        endwhile;
      ?>
    </div>
    <p class="c-btn__sub">
      <a href="<?php echo home_url( '/blog/' ); ?>" class="c-btn__sub-link">一覧を見る</a>
    </p>
  </section>
  <?php
    endif;
    wp_reset_postdata();
  ?>
  <?php endif; ?>

  <?php if(get_field('corp02_top_news_onoff')=='on'):?>
  <?php
    $news_query = new WP_Query(array(
      'post_type' => 'news',
      'posts_per_page' => 5
    ));
    if ($news_query->have_posts()) :
  ?>
  <section id="news" class="c-container p-top__news-section u-wrap">
    <div class="c-ttl__area">
      <h2 class="c-ttl">News</h2>
      <p class="c-ttl__sub">お知らせ</p>
    </div>
    <ul class="p-top__news-list">
      <?php
        while ($news_query->have_posts()) : $news_query->the_post();
          $terms = get_the_terms(get_the_ID(), 'news-category');
          $category_name = $terms && !is_wp_error($terms) ? $terms[0]->name : '未分類';
      ?>
      <li class="p-top__news-item">
      <?php if(get_field('corp02_top_news_btn_onoff')=='on'):?>
        <a href="<?php the_permalink(); ?>" class="u-flex u-aic">
        <?php else:?>
          <div href="<?php the_permalink(); ?>" class="u-flex u-aic"> 
          <?php endif; ?>  
          <div class="p-top__news-contents">
            <p class="p-top__news-cate"><?php echo $category_name; ?>｜<?php echo get_the_date('Y/m/d'); ?></p>
            <p class="p-top__news-ttl"><?php the_title(); ?></p>
          </div>
          <?php if(get_field('corp02_top_news_btn_onoff')=='on'):?>
          <div class="p-top__news-arrow arrow-icon">
            <i class="fa-solid fa-arrow-right"></i>
          </div>
          <?php endif; ?>
          <?php if(get_field('corp02_top_news_btn_onoff')=='on'):?>
        </a>
        <?php else:?>
        </div>
        <?php endif; ?>  
      </li>
      <?php
        endwhile;
      ?>
    </ul>
    <?php if(get_field('corp02_top_news_btn_onoff')=='on'):?>
    <p class="c-btn__sub">
      <a href="<?php echo home_url( '/news/' ); ?>" class="c-btn__sub-link">一覧を見る</a>
    </p>
    <?php endif; ?>
  </section>
  <?php
    endif;
    wp_reset_postdata();
  ?>
  <?php endif; ?>

  <?php if(get_field('corp02_top_company_onoff')=='on'):?>
  <section id="company" class="c-container p-top__company-section u-wrap">
    <div class="c-ttl__area">
      <h2 class="c-ttl"><?php echo get_field('corp02_top_company_ttl_en'); ?></h2>
      <p class="c-ttl__sub"><?php echo get_field('corp02_top_company_ttl_jp'); ?></p>
    </div>
    <div class="p-company__section04-wrap">
      <?php if(get_field('corp02_top_company_table')):?>
        <?php
        $fields = get_field('corp02_top_company_table');
        foreach ($fields as $field) :
        ?>
          <div class="p-company__section04-contents u-flex">
            <p class="p-company__section04-th c-text">
              <?php echo $field['corp02_top_company_group_ttl']; ?>
            </p>
            <div class="p-company__section04-td c-text editor">
              <?php echo $field['corp02_top_company_group_item']; ?>
            </div>
          </div>
        <?php endforeach; ?>
      </div>
      <?php endif; ?>
      </div>
  </section>
  <?php endif; ?>
</main>

<?php get_footer();?>
