<?php
// 投稿オブジェクトを取得
$importantNotice = get_field('editor__article');
$permalink = get_permalink( $importantNotice->ID );


// ID
$importantNotice->ID;

// タイトル
$importantNotice->post_title;

// スラッグ
$importantNotice->post_name;

// 投稿日時
$importantNotice->post_date;

// コンテンツ本文
$importantNotice->post_content;
?>
<div class="editor__article">
    <a href="<?php echo esc_html( $permalink ); ?>"></a>
    <ul class="u-flex_n">
        <li class="editor__article-thum">
            <?php if (has_post_thumbnail()) : ?>
                <?php the_post_thumbnail(); ?>
            <?php else : ?>
            <?php endif; ?>
        </li>
        <li class="editor__article-contents">
            <div class="editor__article-cat">
            <?php
                $categories = get_the_category();
                $category_name = !empty($categories) ? $categories[0]->name : '未分類';
                echo esc_html($category_name);
                ?>
            </div>
            <div class="editor__article-date"><?php echo esc_html( $importantNotice->post_date ); ?></div>
            <div class="editor__article-ttl"><?php echo esc_html( $importantNotice->post_title ); ?></div>
            <div class="editor__article-text"><?php echo wp_trim_words(get_the_content(), 65, '...'); ?></div>
            <div class="editor__article-link">詳しくはこちら</div>
        </li>
        
    </ul>
</div>