<footer class="l-footer">
  <section class="l-footer__contact-section u-wrap u-flex">
    <?php if (get_option('contact_ttl1')): ?>
    <div class="l-footer__contact-box l-footer__contact-box01">
      <p class="l-footer__contact-box-ttl"><?php echo get_field('contact_left_ttl', 'option'); ?></p>
      <p class="c-text">
      <?php echo get_field('contact_left_text', 'option'); ?>
      </p>
    </div>
    <?php endif; ?>
    <?php if (get_field('contact_center_uptext', 'option')): ?>
      <?php if(get_field('contact_center_url', 'option')):?>
    <a href="<?php echo get_field('contact_center_url', 'option'); ?>" class="l-footer__contact-box l-footer__contact-box02">
    <?php else: ?>
      <div class="l-footer__contact-box l-footer__contact-box02">
    <?php endif; ?>
      <p class="l-footer__contact-box-ttl-small"><?php echo get_field('contact_center_uptext', 'option'); ?></p>
      <p class="l-footer__contact-box-ttl u-poppins"><?php echo get_field('contact_center_ttl', 'option'); ?></p>
      <p class="l-footer__contact-box-text">
        <?php echo get_field('contact_center_text', 'option'); ?>
      </p>
      <?php if(get_field('contact_center_url', 'option')):?>
      <div class="l-footer__contact-box-arrow arrow-icon">
      <i class="fa-solid fa-arrow-right"></i>
      </div>
      <?php endif; ?>
      <?php if(get_field('contact_center_url', 'option')):?>
        </a>
        <?php else: ?>
        </div>
      <?php endif; ?>
    <?php endif; ?>

    <?php if (get_field('contact_right_uptext', 'option')): ?>
    <?php if(get_field('contact_right_url', 'option')):?>
    <a href="<?php echo get_field('contact_right_url', 'option'); ?>" class="l-footer__contact-box l-footer__contact-box03">
    <?php else: ?>
    <div class="l-footer__contact-box l-footer__contact-box03">
    <?php endif; ?>
      <p class="l-footer__contact-box-ttl-small"><?php echo get_field('contact_right_uptext', 'option'); ?></p>
      <p class="l-footer__contact-box-ttl u-poppins"><?php echo get_field('contact_right_ttl', 'option'); ?></p>
      <p class="l-footer__contact-box-text">
        <?php echo get_field('contact_right_text', 'option'); ?>
      </p>
      <?php if(get_field('contact_right_url', 'option')):?>
      <div class="l-footer__contact-box-arrow arrow-icon">
      <i class="fa-solid fa-arrow-right"></i>
      </div>
      <?php endif; ?>
      <?php if(get_field('contact_right_url', 'option')):?>
        </a>
        <?php else: ?>
        </div>
      <?php endif; ?>
    <?php endif; ?>

  </section>
  <nav class="l-fnav u-wrap u-flex">
    <?php if (get_field('footer_logo', 'option')): ?>
    <div class="l-fnav__logo">
      <img src="<?php echo get_field('footer_logo', 'option'); ?>" alt="<?php the_title(); ?>ロゴ画像">
    </div>
    <?php elseif(get_field('logotext', 'option')): ?>
      <p class="l-fnav__logotext"><?php echo get_field('logotext', 'option'); ?></p>
    <?php else: ?>
      <div class="l-fnav__logo">
      <picture>
          <source media="(min-width:769px)" srcset="<?php echo get_field('header_logo', 'option'); ?>" width="<?php echo get_field('header_logo_size', 'option'); ?>px">
          <source media="(max-width:768px)" srcset="<?php echo get_field('header_logo_sp', 'option'); ?>" width="<?php echo get_field('header_logo_size_sp', 'option'); ?>px">
          <img src="<?php echo get_field('header_logo', 'option'); ?>" alt="<?php the_title(); ?>ロゴ画像" width="<?php echo get_field('header_logo_size', 'option'); ?>px">
      </picture>
    </div>
    <?php endif; ?>
    <ul class="l-fnav__list u-flex">
      <?php
        wp_nav_menu(array(
          'theme_location' => 'footer-menu',
          'container' => false,
          'items_wrap' => '%3$s',
          'add_li_class' => 'l-fnav__list-item',
          'link_before' => '<span class="l-fnav__list-item-link">',
          'link_after' => '</span>'
        ));
      ?>
    </ul>

  </nav>
  <ul class="l-fnav__list-bottom u-wrap u-flex">
    <?php if (has_nav_menu('footer-menu2')) : ?>
      <?php
        wp_nav_menu(array(
          'theme_location' => 'footer-menu2',
          'container' => false,
          'items_wrap' => '%3$s',
          'add_li_class' => 'l-fnav__list-bottom-item',
          'link_before' => '<span class="l-fnav__list-bottom-link">',
          'link_after' => '</span>'
        ));
      ?>
    <?php endif; ?>
  </ul>
  <p class="l-footer__copy u-wrap u-poppins"><?php echo get_field('copyright', 'option'); ?></p>
  <script src="<?php echo get_template_directory_uri(); ?>/assets/js/original.js"></script>
  <?php if(get_field('cta_fix','option')=='off'):?>
    <?php else:?>
  <div class="footer-fix">
    <di class="u-flex u-wrap footer-fix__flex">
      <a href="<?php echo get_field('cta_fix_left_url','option'); ?>" class="footer-fix__btn" style="border:<;"><?php echo get_field('cta_fix_left_btn','option'); ?></a>
      <?php if(get_field('cta_fix','option')=='on02'):?>
      <a href="<?php echo get_field('cta_fix_right_url','option'); ?>" class="footer-fix__btn02" style="border:<?php echo get_field('cta_fix_right_color','option'); ?>;"><?php echo get_field('cta_fix_right_btn','option'); ?></a>
      <?php endif; ?>
    </div>   
  </div>
  <?php endif; ?>
</footer>

<script>
  $('.l-hnav__list a[href]').on('click', function(event) {
      $('.l-hnav__menu-btn').trigger('click');
  });
  // Initialize the first Splide slider
  new Splide(".splide.first", {
    pagination: false,
    autoplay: true,
    interval: 2000,
    speed: 1000,
    rewind: true,
    type: "loop",
    perPage: 2,
    focus: 'center',
    padding: "0",
    gap: 0,
    breakpoints: {
      640: {
        perPage: 1,
      },
    }
  }).mount();

  document.addEventListener('DOMContentLoaded', function () {
    // Splideコンポーネントを選択
    var splideSecond = document.querySelector('.splide.second');
    // スライドの数を取得
    var slideCount = splideSecond.querySelectorAll('.splide__slide').length;

    // Splideの設定
    var splide = new Splide('.splide.second', {
      pagination: true,
      autoplay: true,
      interval: 3000,
      speed: 1500,
      rewind: true,
      type: "loop",
      perPage: 3,
      focus: 'center',
      padding: "0",
      gap: '2%',
      breakpoints: {
        640: {
          destroy: true, // モバイルデバイスでスライダーを無効にする
        },
      }
    }).mount();

    // ページネーションアイテムの幅をスライドの数に基づいて設定
    var paginationItems = splideSecond.querySelectorAll('.splide__pagination li');
    var paginationWidth = `calc(100% / ${slideCount})`;
    paginationItems.forEach(function(item) {
      item.style.width = paginationWidth;
    });
  });
</script>
<?php wp_footer(); ?>
</body>
</html>
