<!DOCTYPE html>
<html lang="ja">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!-- favicon -->
    <link rel="icon" href="<?php echo get_template_directory_uri(); ?>/img/logo.png">
    <link rel="apple-touch-icon" href="<?php echo get_template_directory_uri(); ?>/img/logo.png" sizes="152x152">
    <link rel="icon" href="<?php echo get_template_directory_uri(); ?>/img/logo.png" sizes="192x192" type="image/png">

    <!-- splide -->
    <script src="<?php echo get_template_directory_uri(); ?>/assets/splide-4.1.3/dist/js/splide.min.js"></script>
    <!-- サーバに置いたファイルを参照 -->
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/assets/splide-4.1.3/dist/css/splide.min.css">

    <!-- スタイルシート -->
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/assets/css/reset.css">
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/assets/css/style.css">
    <!-- スタイルシート -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100;200;300;400;500;600;700;800;900&family=Noto+Serif+JP:wght@200;300;400;500;600;700;900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100;200;300;400;500;600;700;800;900&family=Noto+Serif+JP:wght@200;300;400;500;600;700;900&family=Prompt:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <!-- Add the Inter font -->
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">
    <!-- Add the Barlow font -->
    <link href="https://fonts.googleapis.com/css2?family=Barlow:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">
    <!-- Add the Bodoni 72 font -->
    <link href="https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100;200;300;400;500;600;700;800;900&family=Noto+Serif+JP:wght@200;300;400;500;600;700;900&family=Bodoni+72&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Bodoni+72&display=swap">
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/assets/css/all.min.css">

    <!-- js -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <!-- OGP -->
    <meta property="og:title" content="">
    <meta property="og:type" content="website" />
    <meta property="og:url" content="">
    <meta property="og:description" content="">
    <meta property="og:site_name" content="">
    <meta property="og:image" content="" />
    <meta name="twitter:card" content="summary_large_image" />
    <meta name="twitter:title" content="" />
    <meta name="twitter:description" content="">
    <?php wp_head(); ?>
    <?php if( is_user_logged_in() ) : ?>
    <style type="text/css">
      @media screen and (max-width: 768px){
        .l-hnav__area,
        .l-hnav__wrap{
          margin-top: 46px;
        }
        .l-hnav__menu-btn{
          top: 46px;
        }
        #wpadminbar {
          position: fixed;
        }
      }
    </style>
    <?php endif; ?>
    <style type="text/css">
      .l-hnav__logo picture{
        max-width:<?php echo get_field('header_logo_size', 'option'); ?>px;
      }
      .l-fnav__logo picture{
        max-width:<?php echo get_field('footer_logo_size', 'option'); ?>px;
      }
    body,
    .l-hnav__list-item-link{
      color:<?php echo get_option('mainfontcolor'); ?>;
    }
    .l-hnav__list-item-link.active,
    .l-mv__ttl,
    .l-mv__news-new,
    .l-footer__contact-box02 .l-footer__contact-box-ttl-small,
    .l-footer__contact-box02 .l-footer__contact-box-ttl,
    .c-ttl__sub,
    .p-top__strength-box-ttl-en,
    .p-top__case-box-cate,
    .p-top__news-cate,
    .splide.second .splide__arrow--prev::after,
    .splide.second .splide__arrow--next::after,
    .p-detail__contents .wp-block-button__link::before,
    .l-footer__contact-box03 .l-footer__contact-box-ttl,
    .l-footer__contact-box03 .l-footer__contact-box-ttl-small,
    .c-under__ttl-en,
    .l-breadcrumb__item-link,
    .c-under__toc-link,
    .c-col__side-contents-item .c-col__side-contents-link.c-col__side-active,
    .p-top__member-section,
    .c-under__toc-link::after, .c-col__side-contents-link::after,
    .p-about__service-box-ttl,
    .p-about__other-box-ttl,
    .p-archive__box-cate,
    .c-col__side-contents-item .c-col__side-contents-link.c-col__side-active,
    .p-contact__form-submit-link,
    div#toc_container p.toc_title a,
    div#toc_container ul.toc_list a,
    .editor a,
    .p-company__section04-th,
    .footer-fox__btn,
    .p-top__voice-section-img-text {
      color:<?php echo get_field('maincolor', 'option'); ?>;
    }
    .l-footer__contact-box03 .l-footer__contact-box-ttl-small,
    .l-footer__contact-box03 .l-footer__contact-box-ttl{
      color:<?php echo get_field('subcolor', 'option'); ?>;
    }
    .l-hnav__list-item-btn-link,
    .c-btn__link::before,
    .c-btn__sub-link::before,
    .arrow-icon,
    .splide__pagination__page.is-active,
    .p-about__strength .c-col__side-contents-link::after,
    .p-company__section03-wrap::before,
    .p-company__section03-box-date::before,
    .p-company__btn span,
    .p-archive__sort-box-icon,
    .p-contact__side .c-col__side-contents-item .c-col__side-contents-link.c-col__side-active::before,
    .p-contact__side .c-col__side-contents-item .c-col__side-contents-link.c-col__side-active::after,
    .p-contact__btn::before,
    #toc_container p.toc_title,
    .p-privacy__contents li::before{
      background-color:<?php echo get_field('maincolor', 'option'); ?>;
    }
    .p-top__member-section,
    .p-top__blog-section,
    .c-under__toc-link::after,
    .c-col__side-contents-link::after,
    div#toc_container{
      background-color:<?php echo get_field('bgcolor', 'option'); ?>;
    }
    .l-footer,
    .p-about__other-bg.l-header .u-wrap__big,
    .p-about__other-bg{
      background: linear-gradient(to bottom, <?php echo get_field('maincolor_grad01', 'option'); ?>, <?php echo get_field('maincolor_grad02', 'option'); ?>);
    }
    .p-top__event-section-container,
    .p-top__voice-section{
      background:<?php the_field('corp02_top_section02_bg'); ?>;
    }
    .p-top__event-section-container{
      background: linear-gradient(to bottom, <?php the_field('corp02_top_section02_bggrad01'); ?>, <?php the_field('corp02_top_section02_bggrad02'); ?>);
    }
    .p-about__other-box-ttl,
    .p-company__section04-th{
      border-bottom:solid 1px <?php echo get_field('maincolor', 'option'); ?>;
    }
    .p-company__section01-en{
      border-right:solid 6px <?php echo get_field('bgcolor', 'option'); ?>;
    }
    .p-contact__form-input-text,
    .p-contact__form-input-textarea,
    .p-contact__form-select,
    .baloon{
      border:solid 1px <?php echo get_field('maincolor', 'option'); ?>;
    }
    .baloon:before{
      border-right: 10px solid <?php echo get_field('maincolor', 'option'); ?>;
    }
    .p-contact__section01 .p-contact__form-select-wrap ::after{
      border-top:2px solid <?php echo get_field('maincolor', 'option'); ?>;
      border-right:2px solid <?php echo get_field('maincolor', 'option'); ?>;
    }
    .l-hnav__logo img{
      width:<?php echo get_field('header_logo_size', 'option'); ?>px;
      height:auto;
    }
    .l-fnav__logo img{
      width:<?php echo get_field('footer_logo_size', 'option'); ?>px;
      height:auto;
    }
    .l-mv__ttl,
    .l-mv__ttl02{
      font-size:<?php echo get_field('corp02_top_mv_catch_en_size');?>
    }
    .l-mv__ttl-sub,
    .l-mv__ttl-sub02{
      font-size:<?php echo get_field('corp02_top_mv_catch_jp');?>
    }
    .footer-fix__btn{
      background:<?php echo get_field('cta_fix_left_color','option'); ?>;
    }
    .footer-fix__btn02{
      background:<?php echo get_field('cta_fix_right_color','option'); ?>;
    }
    
    @media screen and (max-width: 768px){
      .l-hnav__logo img{
        width:auto;
        height:<?php echo get_field('header_logo_size_sp', 'option'); ?>px;
      }
      .l-fnav__logo img{
        width:auto;
        height:<?php echo get_field('footer_logo_size_sp', 'option'); ?>px;
      }
      .p-company__section01-en{
        border-bottom:solid 6px <?php echo get_field('bgcolor', 'option'); ?>;
        border-right:none;
      }
      .l-hnav__list-item-btn-sp .l-hnav__list-item-btn-link{
        background-color:<?php echo get_field('maincolor', 'option'); ?>;
      }
      .l-hnav{
        background-color:<?php echo get_field('bgcolor_hum', 'option'); ?>;
      }
      .l-hnav__menu-btn{
        top:calc((<?php echo get_field('header_logo_size_sp', 'option'); ?>px + 38px) /2);
      }
      header{
        height:calc(<?php echo get_field('header_logo_size_sp', 'option'); ?>px + 38px);
      }
      .l-hnav__list-item-btn-link{
        color:<?php echo get_field('maincolor', 'option'); ?>;
        background:#fff;
      }
      .l-mv__ttl,
      .l-mv__ttl02{
        font-size:<?php echo get_field('corp02_top_mv_catch_en_size_sp');?>
      }
      .l-mv__ttl-sub,
      .l-mv__ttl-sub02{
        font-size:<?php echo get_field('corp02_top_mv_catch_jp_sp');?>
      }
    }
    </style>
  </head>
  <body>
    <header class="l-header<?php if(get_field('mv_pt')=='pt02'):?> pt02<?php endif;?>">
      <div class="u-wrap__big u-flex">
        <?php if (get_field('header_logo', 'option')): ?>
        <div class="l-hnav__logo">
          <a href="<?php echo home_url( '/' ); ?>" class="l-hnav__logo-link">
          <img src="<?php echo get_field('header_logo', 'option'); ?>" alt="<?php the_title(); ?>ロゴ画像">
          </a>
        </div>
        <?php endif; ?>
        <?php if (get_field('logotext', 'option')): ?>
        <p class="l-hnav__logotext">
          <a href="<?php echo home_url( '/' ); ?>" class="l-hnav__logo-link">
          <?php echo get_field('logotext', 'option'); ?>
          </a>
        </p>
        <?php endif; ?>
        <p class="l-hnav__list-item-btn-sp u-sp">
          <a href="<?php echo home_url( '/contact/' ); ?>" class="l-hnav__list-item-btn-link">お問い合わせ</a>
        </p>
        <nav class="l-hnav__area">
          <input type="checkbox" id="l-hnav__menu-btn-check">
          <label for="l-hnav__menu-btn-check" class="l-hnav__menu-btn"><span class="l-hnav__menu-border"></span></label>
          <div class="l-hnav u-flex">
            <ul class="l-hnav__list u-flex">
              <?php
                wp_nav_menu(array(
                  'theme_location' => 'header-menu',
                  'container' => false,
                  'items_wrap' => '%3$s',
                  'add_li_class' => 'l-hnav__list-item',
                  'link_before' => '<span class="l-hnav__list-item-link">',
                  'link_after' => '</span>'
                ));
              ?>
            </ul>
            <p class="l-hnav__list-item-btn">
              <a href="<?php echo home_url( '/contact/' ); ?>" class="l-hnav__list-item-btn-link">お問い合わせ</a>
            </p>
          </div>
        </nav>
      </div>
    </header>
