<?php get_header(); ?>
<style type="text/css">
.p-about__strength {
  background-image: url(<?php echo get_field('corp02_about_section01_strength01_img'); ?>);
}
.p-about__strength:nth-of-type(2){
  background-image: url(<?php echo get_field('corp02_about_section01_strength02_img'); ?>);
}
.p-about__strength:nth-of-type(3){
  background-image: url(<?php echo get_field('corp02_about_section01_strength03_img'); ?>);
}
  @media screen and (max-width: 768px) {
    .p-about__strength {
      background-image: url(<?php echo get_field('corp02_about_section01_strength01_img_sp'); ?>);
    }
    .p-about__strength:nth-of-type(2){
      background-image: url(<?php echo get_field('corp02_about_section01_strength02_img_sp'); ?>);
    }
    .p-about__strength:nth-of-type(3){
      background-image: url(<?php echo get_field('corp02_about_section01_strength03_img_sp'); ?>);
    }
  }
</style>
    <main class="c-under__wrap">
      <?php include('assets/parts/breadcrumb.php'); ?>

      <section>
      <?php include('assets/parts/under-mvtext.php'); ?>

        <ul class="c-under__toc-top u-wrap u-flex">
          <?php if( get_field('corp02_about_section01_ttl') ): ?>
          <li class="c-under__toc-item">
            <a href="" class="c-under__toc-link c-col__side-active"><?php echo get_field('corp02_about_section01_ttl'); ?></a>
          </li>
          <?php endif; ?>
          <?php if( get_field('corp02_about_section02_ttl') ): ?>
          <li class="c-under__toc-item">
            <a href="" class="c-under__toc-link"><?php echo get_field('corp02_about_section02_ttl'); ?></a>
          </li>
          <?php endif; ?>
        </ul>
        <?php include('assets/parts/under-mvimg.php'); ?>
      </section>

      <?php if( get_field('corp02_about_section01_ttl') ): ?>
      <section class="c-col__wrap u-flex u-wrap c-container">
        <aside class="c-col__side">
          <ul class="c-col__side-contents u-wrap">
            <?php if( get_field('corp02_about_section01_ttl') ): ?>
            <li class="c-col__side-contents-item">
              <a href="" class="c-col__side-contents-link c-col__side-active"><?php echo get_field('corp02_about_section01_ttl'); ?></a>
            </li>
            <?php endif; ?>
            <?php if( get_field('corp02_about_section02_ttl') ): ?>
            <li class="c-col__side-contents-item">
              <a href="" class="c-col__side-contents-link"><?php echo get_field('corp02_about_section02_ttl'); ?></a>
            </li>
            <?php endif; ?>
          </ul>
        </aside>
        <div class="c-col__main">
          <div class="p-about__section01">
            <div class="c-ttl__area">
              <h2 class="c-ttl"><?php echo get_field('corp02_about_section01_ttl_en'); ?></h2>
              <p class="c-ttl__sub"><?php echo get_field('corp02_about_section01_ttl'); ?></p>
            </div>
            <h2 class="c-catch"><?php echo get_field('corp02_about_section01_catch'); ?></h2>
            <p class="c-text">
              <?php echo get_field('corp02_about_section01_text'); ?>
            </p>
          </div>
        </div>
      </section>
      <?php endif; ?>

      <?php if(get_field('corp02_about_section01_bg_onoff')=='on'):?>
      <?php if( get_field('corp02_about_section01_strength01_ttl_en') ): ?>
      <section class="">
        <div class="p-about__strength">
          <div class="u-wrap u-flex">
            <aside class="c-col__side">
              <ul class="c-col__side-contents u-wrap">
                <?php if( get_field('corp02_about_section01_ttl') ): ?>
                <li class="c-col__side-contents-item">
                  <a href="" class="c-col__side-contents-link c-col__side-active"><?php echo get_field('corp02_about_section01_ttl'); ?></a>
                </li>
                <?php endif; ?>
                <?php if( get_field('corp02_about_section02_ttl') ): ?>
                <li class="c-col__side-contents-item">
                  <a href="" class="c-col__side-contents-link"><?php echo get_field('corp02_about_section02_ttl'); ?></a>
                </li>
                <?php endif; ?>
              </ul>
            </aside>
            <div class="c-col__main">
              <div class="p-about__strength-contents">
                <h2 class="p-about__strength-contents-ttl poppins"><?php echo get_field('corp02_about_section01_strength01_ttl_en'); ?></h2>
                <p class="p-about__strength-contents-catch">
                  <?php echo get_field('corp02_about_section01_strength01_catch'); ?>
                </p>
                <p class="c-text">
                  <?php echo get_field('corp02_about_section01_strength01_text'); ?>
                </p>
              </div>
            </div>
          </div>
        </div>
        <div class="p-about__strength">
          <div class="u-wrap u-flex">
            <aside class="c-col__side">
              <ul class="c-col__side-contents u-wrap">
                <?php if( get_field('corp02_about_section01_ttl') ): ?>
                <li class="c-col__side-contents-item">
                  <a href="" class="c-col__side-contents-link c-col__side-active"><?php echo get_field('corp02_about_section01_ttl'); ?></a>
                </li>
                <?php endif; ?>
                <?php if( get_field('corp02_about_section02_ttl') ): ?>
                <li class="c-col__side-contents-item">
                  <a href="" class="c-col__side-contents-link"><?php echo get_field('corp02_about_section02_ttl'); ?></a>
                </li>
                <?php endif; ?>
              </ul>
            </aside>
            <div class="c-col__main">
              <div class="p-about__strength-contents">
                <h2 class="p-about__strength-contents-ttl poppins"><?php echo get_field('corp02_about_section01_strength02_ttl_en'); ?></h2>
                <p class="p-about__strength-contents-catch">
                  <?php echo get_field('corp02_about_section01_strength02_catch'); ?>
                </p>
                <p class="c-text">
                  <?php echo get_field('corp02_about_section01_strength02_text'); ?>
                </p>
              </div>
            </div>
          </div>
        </div>
        <div class="p-about__strength">
          <div class="u-wrap u-flex">
            <aside class="c-col__side">
              <ul class="c-col__side-contents u-wrap">
                <?php if( get_field('corp02_about_section01_ttl') ): ?>
                <li class="c-col__side-contents-item">
                  <a href="" class="c-col__side-contents-link c-col__side-active"><?php echo get_field('corp02_about_section01_ttl'); ?></a>
                </li>
                <?php endif; ?>
                <?php if( get_field('corp02_about_section02_ttl') ): ?>
                <li class="c-col__side-contents-item">
                  <a href="" class="c-col__side-contents-link"><?php echo get_field('corp02_about_section02_ttl'); ?></a>
                </li>
                <?php endif; ?>
              </ul>
            </aside>
            <div class="c-col__main">
              <div class="p-about__strength-contents">
                <h2 class="p-about__strength-contents-ttl poppins"><?php echo get_field('corp02_about_section01_strength03_ttl_en'); ?></h2>
                <p class="p-about__strength-contents-catch">
                  <?php echo get_field('corp02_about_section01_strength03_catch'); ?>
                </p>
                <p class="c-text">
                  <?php echo get_field('corp02_about_section01_strength02_text'); ?>
                </p>
              </div>
            </div>
          </div>
        </div>
      </section>
      <?php endif; ?>
      <?php endif; ?>

      <?php if( get_field('corp02_about_section02_ttl_en') ): ?>
      <section class="p-about__service c-container">
        <div class="u-wrap u-flex">
          <aside class="c-col__side">
            <ul class="c-col__side-contents u-wrap">
              <?php if( get_field('corp02_about_section01_ttl') ): ?>
              <li class="c-col__side-contents-item">
                <a href="" class="c-col__side-contents-link"><?php echo get_field('corp02_about_section01_ttl'); ?></a>
              </li>
              <?php endif; ?>
              <?php if( get_field('corp02_about_section02_ttl') ): ?>
              <li class="c-col__side-contents-item">
                <a href="" class="c-col__side-contents-link c-col__side-active"><?php echo get_field('corp02_about_section02_ttl'); ?></a>
              </li>
              <?php endif; ?>
            </ul>
          </aside>
          <div class="c-col__main">
            <div class="p-about__service-wrap">
              <div class="c-ttl__area">
                <h2 class="c-ttl"><?php echo get_field('corp02_about_section02_ttl_en'); ?></h2>
                <p class="c-ttl__sub"><?php echo get_field('corp02_about_section02_ttl'); ?></p>
              </div>
              <div class="p-about__service-contents">
                <?php
                  $fields = get_field('corp02_about_section02_flow');
                  foreach ($fields as $field) :
                ?>
                <div class="p-about__service-box u-flex">
                  <p class="p-about__service-box-ttl"><span class="p-about__service-box-num poppins"><?php echo $field['corp02_about_section02_flow_num']; ?></span><?php echo $field['corp02_about_section02_flow_ttl']; ?></p>
                  <?php if($field['corp02_about_section02_flow_text']):?>
                  <p class="p-about__service-box-text">
                    <?php echo $field['corp02_about_section02_flow_text']; ?>
                  </p>
                  <?php endif;?>
                </div>
                <?php endforeach; ?>
              </div>

            </div>
          </div>
        </div>
      </section>
      <?php endif; ?>

      <?php if( get_field('corp02_about_section03_ttl_en') ): ?>
      <section class="p-about__other c-container">
        <div class="u-wrap u-flex">
          <aside class="c-col__side">
            <ul class="c-col__side-contents u-wrap">
              <?php if( get_field('corp02_about_section01_ttl') ): ?>
              <li class="c-col__side-contents-item">
                <a href="" class="c-col__side-contents-link"><?php echo get_field('corp02_about_section01_ttl'); ?></a>
              </li>
              <?php endif; ?>
              <?php if( get_field('corp02_about_section02_ttl') ): ?>
              <li class="c-col__side-contents-item">
                <a href="" class="c-col__side-contents-link c-col__side-active"><?php echo get_field('corp02_about_section02_ttl'); ?></a>
              </li>
              <?php endif; ?>
            </ul>
          </aside>
          <div class="c-col__main">
            <div class="p-about__other-wrap">
              <div class="c-ttl__area">
                <h2 class="c-ttl"><?php echo get_field('corp02_about_section03_ttl_en'); ?></h2>
                <p class="c-ttl__sub"><?php echo get_field('corp02_about_section03_ttl'); ?></p>
              </div>
              <div class="p-about__other-bg">
                <div class="p-about__other-contents">
                  <?php
                    $fields = get_field('corp02_about_section03_other');
                    foreach ($fields as $field) :
                  ?>
                  <div class="p-about__other-box u-flex">
                    <p class="p-about__other-box-ttl"><?php echo $field['corp02_about_section03_other_ttl']; ?></p>
                    <p class="p-about__other-box-text">
                      <?php echo $field['corp02_about_section03_other_text']; ?>
                    </p>
                  </div>
                  <?php endforeach; ?>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
      <?php endif; ?>
    </main>
    <?php get_footer(); ?>
