<?php get_header(); ?>
<main>
  <?php include('assets/parts/breadcrumb.php'); ?>

  <section>
  <?php include('assets/parts/under-mvtext.php'); ?>

    <ul class="c-under__toc-top u-wrap u-flex">
      <li class="c-under__toc-item">
        <a href="<?php echo home_url( '/company/' ); ?>#section01" class="c-under__toc-link c-col__side-active"><?php echo get_field('corp02_company_section01_ttl'); ?></a>
      </li>
      <li class="c-under__toc-item">
        <a href="<?php echo home_url( '/company/' ); ?>#section02" class="c-under__toc-link"><?php echo get_field('corp02_company_section02_ttl'); ?></a>
      </li>
      <?php if(get_field('corp02_company_section03_onoff')=='on'):?>
      <li class="c-under__toc-item">
        <a href="<?php echo home_url( '/company/' ); ?>#section03" class="c-under__toc-link"><?php echo get_field('corp02_company_section03_ttl'); ?></a>
      </li>
      <?php endif;?>
      <li class="c-under__toc-item">
        <a href="<?php echo home_url( '/company/' ); ?>#section04" class="c-under__toc-link"><?php echo get_field('corp02_company_section04_ttl'); ?></a>
      </li>
    </ul>

    <?php include('assets/parts/under-mvimg.php'); ?>
  </section>

  <section id="section01" class="c-col__wrap u-flex u-wrap c-container">
    <aside class="c-col__side">
      <ul class="c-col__side-contents u-wrap">
        <li class="c-col__side-contents-item">
          <a href="<?php echo home_url( '/company/' ); ?>#section01" class="c-col__side-contents-link c-col__side-active"><?php echo get_field('corp02_company_section01_ttl'); ?></a>
        </li>
        <li class="c-col__side-contents-item">
          <a href="<?php echo home_url( '/company/' ); ?>#section02" class="c-col__side-contents-link"><?php echo get_field('corp02_company_section02_ttl'); ?></a>
        </li>
        <?php if(get_field('corp02_company_section03_onoff')=='on'):?>
        <li class="c-col__side-contents-item">
          <a href="<?php echo home_url( '/company/' ); ?>#section03" class="c-col__side-contents-link"><?php echo get_field('corp02_company_section03_ttl'); ?></a>
        </li>
        <?php endif;?>
        <li class="c-col__side-contents-item">
          <a href="<?php echo home_url( '/company/' ); ?>#section04" class="c-col__side-contents-link"><?php echo get_field('corp02_company_section04_ttl'); ?></a>
        </li>
      </ul>
    </aside>
    <div class="c-col__main">
      <div class="p-company__section01">
        <div class="c-ttl__area">
          <h2 class="c-ttl"><?php echo get_field('corp02_company_section01_ttl_en'); ?></h2>
          <p class="c-ttl__sub"><?php echo get_field('corp02_company_section01_ttl'); ?></p>
        </div>

        <div>
          <?php
            $fields = get_field('corp02_company_section01_group');
            foreach ($fields as $field) :
          ?>
          <div class="p-company__section01-box u-flex">
            <p class="p-company__section01-en u-poppins"><?php echo $field['corp02_company_section01_group_ttl_en']; ?></p>
            <div class="p-company__section01-contents">
              <h2 class="c-catch"><?php echo $field['corp02_company_section01_group_ttl']; ?></h2>
              <p class="c-text">
                <?php echo $field['corp02_company_section01_group_text']; ?>
              </p>
            </div>
          </div>
          <?php endforeach; ?>
        </div>

      </div>
    </div>
  </section>
  <?php if(!get_field('corp02_company_gallery_sheets')=='snone'):?>
  <section class="c-container p-top__event-section">
  <?php if(get_field('corp02_company_gallery_sheets')=='sover'):?>
    <div class="splide first" id="gallerySplide" aria-labelledby="gallery-carousel-heading">
      <div class="splide__track">
        <ul class="splide__list">
          <?php
            $fields = get_field('corp02_company_gallery');
            foreach ($fields as $field) :
          ?>
          <li class="splide__slide">
            <img src="<?php echo $field['corp02_company_gallery_img']; ?>" alt="<?php echo $field['corp02_company_gallery_img_text']; ?>">
          </li>
          <?php endforeach; ?>
        </ul>
      </div>
    </div><!--splide-->
    <?php else:?>
    <div>
      <img src="<?php echo get_field('corp02_company_gallery01');?>" alt="">
    </div>
    <?php endif; ?>
  </section>
  <?php endif; ?>

  <section id="section02" class="c-col__wrap u-flex u-wrap c-container">
    <aside class="c-col__side">
      <ul class="c-col__side-contents u-wrap">
        <li class="c-col__side-contents-item">
          <a href="<?php echo home_url( '/company/' ); ?>#section01" class="c-col__side-contents-link"><?php echo get_field('corp02_company_section01_ttl'); ?></a>
        </li>
        <li class="c-col__side-contents-item">
          <a href="<?php echo home_url( '/company/' ); ?>#section02" class="c-col__side-contents-link c-col__side-active"><?php echo get_field('corp02_company_section02_ttl'); ?></a>
        </li>
        <?php if(get_field('corp02_company_section03_onoff')=='on'):?>
        <li class="c-col__side-contents-item">
          <a href="<?php echo home_url( '/company/' ); ?>#section03" class="c-col__side-contents-link"><?php echo get_field('corp02_company_section03_ttl'); ?></a>
        </li>
        <?php endif;?>
        <li class="c-col__side-contents-item">
          <a href="<?php echo home_url( '/company/' ); ?>#section04" class="c-col__side-contents-link"><?php echo get_field('corp02_company_section04_ttl'); ?></a>
        </li>
      </ul>
    </aside>
    <div class="c-col__main">
      <div class="p-company__section02">
        <div class="c-ttl__area">
          <h2 class="c-ttl"><?php echo get_field('corp02_company_section02_ttl_en'); ?></h2>
          <p class="c-ttl__sub"><?php echo get_field('corp02_company_section02_ttl'); ?></p>
        </div>

        <div class="p-company__section02-wrap u-flex">
          <div class="p-company__section02-img u-sp">
            <img src="<?php echo get_field('corp02_company_section02_img_sp'); ?>" alt="">
          </div>
          <div class="p-company__section02-contents">
            <h2 class="c-catch"><?php echo get_field('corp02_company_section02_catch'); ?></h2>
            <p class="c-text">
              <?php echo get_field('corp02_company_section02_text'); ?>
            </p>
            <p class="p-company__section02-text"><?php echo get_field('corp02_company_section02_position'); ?><span class="p-company__section02-name"><?php echo get_field('corp02_company_section02_name'); ?></span></p>
          </div>
          <div class="p-company__section02-img u-pc">
            <img src="<?php echo get_field('corp02_company_section02_img'); ?>" alt="">
          </div>
        </div>

      </div>
    </div>
  </section>
  
<?php if(get_field('corp02_company_section03_onoff')=='on'):?>
  <section id="section03" class="p-container_bg c-col__wrap c-container">
    <div class="u-flex u-wrap">
      <aside class="c-col__side">
        <ul class="c-col__side-contents u-wrap">
          <li class="c-col__side-contents-item">
            <a href="<?php echo home_url( '/company/' ); ?>#section01" class="c-col__side-contents-link"><?php echo get_field('corp02_company_section01_ttl'); ?></a>
          </li>
          <li class="c-col__side-contents-item">
            <a href="<?php echo home_url( '/company/' ); ?>#section02" class="c-col__side-contents-link"><?php echo get_field('corp02_company_section02_ttl'); ?></a>
          </li>
          <li class="c-col__side-contents-item">
            <a href="<?php echo home_url( '/company/' ); ?>#section03" class="c-col__side-contents-link c-col__side-active"><?php echo get_field('corp02_company_section03_ttl'); ?></a>
          </li>
          <li class="c-col__side-contents-item">
            <a href="<?php echo home_url( '/company/' ); ?>#section04" class="c-col__side-contents-link"><?php echo get_field('corp02_company_section04_ttl'); ?></a>
          </li>
        </ul>
      </aside>
      <div class="c-col__main">
        <div class="p-company__section03">
          <div class="c-ttl__area">
            <h2 class="c-ttl"><?php echo get_field('corp02_company_section03_ttl_en'); ?></h2>
            <p class="c-ttl__sub"><?php echo get_field('corp02_company_section03_ttl'); ?></p>
          </div>
          <?php if(get_field('corp02_company_section03_switch')=='history'):?>
          <div class="p-company__section03-wrap">
            <?php
            $fields = get_field('corp02_company_section03_group');
            $total_items = count($fields);
            $display_items = min($total_items, 5);

            foreach ($fields as $index => $field) :
              $hidden_class = $index >= 5 ? 'p-company__section03-hidden' : '';
            ?>
              <div class="p-company__section03-box u-flex <?php echo $hidden_class; ?>">
                <p class="p-company__section03-box-date u-poppins">
                  <?php echo $field['corp02_company_section03_group_date']; ?>
                </p>
                <p class="c-text">
                  <?php echo $field['corp02_company_section03_group_text']; ?>
                </p>
              </div>
            <?php endforeach; ?>
          </div>

          <?php if ($total_items > 5) : ?>
            <a href="#" class="p-company__btn" id="toggleBtn"><span></span>もっとみる</a>
          <?php endif; ?>
          <?php else:?>
          <div class="p-company__profile-wrap">
            <?php echo get_field('corp02_company_section03_contents'); ?>
          </div>
          <?php endif;?>
        </div>

        <style>
        .p-company__section03-hidden {
          display: none;
        }
        .p-company__btn.is-open span::before {
          top: 50%;
          left: 50%;
          -webkit-transform: translate(-50%, -50%) rotate(180deg);
          transform: translate(-50%, -50%) rotate(180deg);
        }
        </style>

        <script>
        document.addEventListener('DOMContentLoaded', function() {
          const toggleBtn = document.getElementById('toggleBtn');
          const hiddenItems = document.querySelectorAll('.p-company__section03-hidden');

          if (toggleBtn) {
            toggleBtn.addEventListener('click', function(e) {
              e.preventDefault();
              const isHidden = hiddenItems[0].style.display === 'none' || hiddenItems[0].style.display === '';

              hiddenItems.forEach(item => {
                item.style.display = isHidden ? 'flex' : 'none';
              });

              toggleBtn.textContent = isHidden ? '閉じる' : 'もっとみる';
              toggleBtn.insertAdjacentHTML('afterbegin', '<span></span>');

              // ボタンの状態に応じてクラスを切り替え
              toggleBtn.classList.toggle('is-open', isHidden);
            });
          }
        });
        </script>
      </div>
    </div>
  </section>
  <?php endif;?>

  <div class="u-pc">
    <img src="<?php echo get_field('corp02_company_section03_img'); ?>" alt="">
  </div>
  <div class="u-sp">
    <img src="<?php echo get_field('corp02_company_section03_img_sp'); ?>" alt="">
  </div>

  <section id="section04" class="p-container c-col__wrap u-flex u-wrap c-container">
    <aside class="c-col__side">
      <ul class="c-col__side-contents u-wrap">
        <li class="c-col__side-contents-item">
          <a href="<?php echo home_url( '/company/' ); ?>#section01" class="c-col__side-contents-link"><?php echo get_field('corp02_company_section01_ttl'); ?></a>
        </li>
        <li class="c-col__side-contents-item">
          <a href="<?php echo home_url( '/company/' ); ?>#section02" class="c-col__side-contents-link"><?php echo get_field('corp02_company_section02_ttl'); ?></a>
        </li>
        <?php if(get_field('corp02_company_section03_onoff')=='on'):?>
        <li class="c-col__side-contents-item">
          <a href="<?php echo home_url( '/company/' ); ?>#section03" class="c-col__side-contents-link"><?php echo get_field('corp02_company_section03_ttl'); ?></a>
        </li>
        <?php endif;?>
        <li class="c-col__side-contents-item">
          <a href="<?php echo home_url( '/company/' ); ?>#section04" class="c-col__side-contents-link c-col__side-active"><?php echo get_field('corp02_company_section04_ttl'); ?></a>
        </li>
      </ul>
    </aside>
    <div class="c-col__main">
      <div class="p-company__section04">
        <div class="c-ttl__area">
          <h2 class="c-ttl"><?php echo get_field('corp02_company_section04_ttl_en'); ?></h2>
          <p class="c-ttl__sub"><?php echo get_field('corp02_company_section04_ttl'); ?></p>
        </div>

        <div class="p-company__section04-wrap">
          <?php
          $fields = get_field('corp02_company_section04_group');
          foreach ($fields as $field) :
          ?>
            <div class="p-company__section04-contents u-flex">
              <p class="p-company__section04-th c-text">
                <?php echo $field['corp02_company_section04_group_ttl']; ?>
              </p>
              <p class="p-company__section04-td c-text">
                <?php echo $field['corp02_company_section04_group_text']; ?>
              </p>
            </div>
          <?php endforeach; ?>
        </div>

      </div>
    </div>
  </section>
</main>
<?php get_footer(); ?>
